groovy.lang

## Interface GeneratedGroovyProxy

    public interface GeneratedGroovyProxy

An interface implemented by some Groovy proxies which gives access to the proxied object. In particular, dynamically generated proxies that implement traits will implement this interface in order to give access to the proxied instance.

Since:
  2.3.0
Author:
  Cedric Champeau

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.Object` `getProxyTarget()`

### Method Detail

#### getProxyTarget

    java.lang.Object getProxyTarget()

Returns:
  the proxy target.